#include <WiFi.h>

const char* ssid = "IRONMAN";
const char* password = "1234567890";

void setup() {
  Serial.begin(115200);

  // Connect to WiFi
  WiFi.begin(ssid, password);
  Serial.print("Connecting to WiFi");
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("Connected!");

  // Print the IP address
  Serial.print("IP Address: ");
  Serial.println(WiFi.localIP());

  // Optional: Set WiFi power saving mode
  WiFi.setTxPower(WIFI_POWER_MINUS_1dBm); // Set WiFi transmit power to lowest level
   
  // Enter deep sleep mode
  Serial.println("Entering deep sleep mode");
  delay(4000);
  esp_sleep_enable_timer_wakeup(30e6); // Wake up every 60 seconds
  esp_deep_sleep_start();
}

void loop() {
  // This code will not be executed as the ESP32 is in deep sleep mode
}
